
public class Recta {
	private Vector director;
	private Punto pto;
	public Recta(Vector v, Punto p){
		director = new Vector(v.componenteX(), v.componenteY());
		pto = new Punto(p.x(), p.y());
	}
	public Recta(Punto puno, Punto pdos){
		director = new Vector(puno, pdos);
		pto = new Punto(puno.x(), puno.y());
	}
	public boolean pasaPor(Punto puno){
		
	}
	
	public boolean paralelaA(Recta rec){
		
	}
	public Vector devolverV(){
		return director;
	}
	public Punto devolverP(){
		return pto;
	}
		
	public Recta paralelaPor(Punto punto){
		
	}
	public Punto interseccionCon(Recta rec){
		Punto newpt = new Punto(0.0, 0.0);
		/*	d = uy * vx  vy * ux  R(V(vx,vy),P(px,py))
			d1 = vx * py  vy * px R(V(ux,uy),P(qx,qy))
			d2 = ux * qy  uy * qx P(ox,oy))
			ox = (d1 * ux  vx * d2) / d
			oy = - (vy * d2 - uy * d1) / d
			
		 */
		double d, d1, d2;
		d = rec.devolverV().componenteY() * director.componenteX();
		d = d - (director.componenteY() * rec.devolverV().componenteX());
		d1 = director.componenteX() * pto.y();
		d1 = d1 - (director.componenteY() * pto.x());
		d2 = rec.devolverV().componenteX() * rec.devolverP().y();
		d2 = d2 - (rec.devolverV().componenteY() * rec.devolverP().x());
		newpt.x((d1 * rec.devolverV().componenteX() - director.componenteX() * d2)/d);
		newpt.y(-(director.componenteY() * d2 - rec.devolverV().componenteY() * d1)/d);
		return newpt;
	}
	
	public String toString(){
		return director.toString()+"  "+pto.ToString();
	}
}
