
public class Vector {
	private Punto pto;
	public Vector(double x, double y){
		pto = new Punto(x, y);
	}
	public Vector(Punto extremo){
		pto = new Punto(extremo.x(), extremo.y());
	}
	public Vector(Punto orig, Punto extre){
		pto = new Punto(extre.x() - orig.x(), extre.y() - orig.y());
	}
	public double componenteX(){
		return pto.x();
	}
	public double componenteY(){
		return pto.y();
	}
	public double modulo(){
		return Math.sqrt(Math.pow(pto.x(), 2.0) + Math.pow(pto.y(), 2.0));
	}
	public Vector ortogonal(){
		return new Vector(pto.x(), -pto.y());
	}
	public boolean paraleloA(Vector vec){
		//son paralelos si verifican vx*uy ==vy*ux.
		if(pto.x() * vec.componenteY() == pto.y() * vec.componenteX()){
			return true;
		}else{
			return false;
		}
	}
	public Punto extremoDesde(Punto ptex){
		return new Punto(pto.x() + ptex.x(), pto.y() + ptex.y());
	}
	public String toString(){
		return "("+pto.x()+","+pto.y()+")";
	}
}



